/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.editor.webui.wrappers;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.editor.webui.handlers.EditUserHandler.class)
public class EditUser extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperIndexedParam   pindx;
        
        IWrapperParamCaster    caster;
        
        // Name
        if(!params.containsKey("Name")) {
        pinfo  = new IWrapperParam("Name", false, true, null, "java.lang.String", true);
          
        params.put("Name", pinfo);
          
        }  
        
      
        // Section
        if(!params.containsKey("Section")) {
        pinfo  = new IWrapperParam("Section", false, true, null, "java.lang.String", true);
          
        params.put("Section", pinfo);
          
        }  
        
      
        // Phone
        if(!params.containsKey("Phone")) {
        pinfo  = new IWrapperParam("Phone", false, true, null, "java.lang.String", true);
          
        params.put("Phone", pinfo);
          
        }  
        
      
        // Password
        if(!params.containsKey("Password")) {
        pinfo  = new IWrapperParam("Password", false, true, null, "java.lang.String", true);
          
        params.put("Password", pinfo);
          
        }  
        
      
        // PasswordRepeat
        if(!params.containsKey("PasswordRepeat")) {
        pinfo  = new IWrapperParam("PasswordRepeat", false, true, null, "java.lang.String", true);
          
        params.put("PasswordRepeat", pinfo);
          
        }  
        
      
        // AdminPrivilege
        if(!params.containsKey("AdminPrivilege")) {
        pinfo  = new IWrapperParam("AdminPrivilege", false, true, null, "java.lang.Boolean", true);
          
        params.put("AdminPrivilege", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // EditIncludesPrivilege
        if(!idxprms.containsKey("EditIncludesPrivilege")) {
        pindx  = new IWrapperIndexedParam("EditIncludesPrivilege", false, "java.lang.Boolean", true);
        idxprms.put("EditIncludesPrivilege", pindx);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pindx.setParamCaster(caster);
    
        }
        
      
        // EditImagesPrivilege
        if(!idxprms.containsKey("EditImagesPrivilege")) {
        pindx  = new IWrapperIndexedParam("EditImagesPrivilege", false, "java.lang.Boolean", true);
        idxprms.put("EditImagesPrivilege", pindx);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pindx.setParamCaster(caster);
    
        }
        
      
        super.registerParams();
    }
    
    // Name
    public java.lang.String getName() {
        return (java.lang.String) gimmeParamForKey("Name").getValue();
    }
    
    public void setStringValName(String v) {
        gimmeParamForKey("Name").
          setStringValue(new String[] {v});
    }

    public void setName(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Name");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeName(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Name"), scode, null, null);
    }

    public void addSCodeName(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Name"), scode, args, level);
    }

    /**
      * @deprecated use addScodeName(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsName(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Name"), scode, args, null);
    }
        
    // Section
    public java.lang.String getSection() {
        return (java.lang.String) gimmeParamForKey("Section").getValue();
    }
    
    public void setStringValSection(String v) {
        gimmeParamForKey("Section").
          setStringValue(new String[] {v});
    }

    public void setSection(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Section");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeSection(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Section"), scode, null, null);
    }

    public void addSCodeSection(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Section"), scode, args, level);
    }

    /**
      * @deprecated use addScodeSection(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsSection(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Section"), scode, args, null);
    }
        
    // Phone
    public java.lang.String getPhone() {
        return (java.lang.String) gimmeParamForKey("Phone").getValue();
    }
    
    public void setStringValPhone(String v) {
        gimmeParamForKey("Phone").
          setStringValue(new String[] {v});
    }

    public void setPhone(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Phone");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodePhone(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Phone"), scode, null, null);
    }

    public void addSCodePhone(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Phone"), scode, args, level);
    }

    /**
      * @deprecated use addScodePhone(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPhone(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Phone"), scode, args, null);
    }
        
    // Password
    public java.lang.String getPassword() {
        return (java.lang.String) gimmeParamForKey("Password").getValue();
    }
    
    public void setStringValPassword(String v) {
        gimmeParamForKey("Password").
          setStringValue(new String[] {v});
    }

    public void setPassword(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Password");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodePassword(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Password"), scode, null, null);
    }

    public void addSCodePassword(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Password"), scode, args, level);
    }

    /**
      * @deprecated use addScodePassword(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPassword(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Password"), scode, args, null);
    }
        
    // PasswordRepeat
    public java.lang.String getPasswordRepeat() {
        return (java.lang.String) gimmeParamForKey("PasswordRepeat").getValue();
    }
    
    public void setStringValPasswordRepeat(String v) {
        gimmeParamForKey("PasswordRepeat").
          setStringValue(new String[] {v});
    }

    public void setPasswordRepeat(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("PasswordRepeat");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodePasswordRepeat(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("PasswordRepeat"), scode, null, null);
    }

    public void addSCodePasswordRepeat(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("PasswordRepeat"), scode, args, level);
    }

    /**
      * @deprecated use addScodePasswordRepeat(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPasswordRepeat(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("PasswordRepeat"), scode, args, null);
    }
        
    // AdminPrivilege
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getAdminPrivilege() {
        return (java.lang.Boolean) gimmeParamForKey("AdminPrivilege").getValue();
    }
    
    public void setStringValAdminPrivilege(String v) {
        gimmeParamForKey("AdminPrivilege").
          setStringValue(new String[] {v});
    }

    public void setAdminPrivilege(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("AdminPrivilege");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodeAdminPrivilege(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("AdminPrivilege"), scode, null, null);
    }

    public void addSCodeAdminPrivilege(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("AdminPrivilege"), scode, args, level);
    }

    /**
      * @deprecated use addScodeAdminPrivilege(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsAdminPrivilege(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("AdminPrivilege"), scode, args, null);
    }
        
    // EditIncludesPrivilege
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getEditIncludesPrivilege(String index) {
        return (java.lang.Boolean) gimmeIndexedParamForKey("EditIncludesPrivilege").getParamForIndex(index).getValue();
    }

    public java.lang.String[] getKeysEditIncludesPrivilege() {
        return gimmeIndexedParamForKey("EditIncludesPrivilege").getKeys();
    }
          
    public void setStringValEditIncludesPrivilege(String v, String index) {
        gimmeIndexedParamForKey("EditIncludesPrivilege").getParamForIndex(index).
          setStringValue(new String[] {v});
    }

    public void setEditIncludesPrivilege(java.lang.Boolean v, String index) {
        gimmeIndexedParamForKey("EditIncludesPrivilege").getParamForIndex(index).
          setStringValue(new java.lang.Boolean[] {v});
    }

    public void addSCodeEditIncludesPrivilege(de.schlund.util.statuscodes.StatusCode scode, String index) {
        gimmeIndexedParamForKey("EditIncludesPrivilege").addSCode(scode, null, null, index);
    }

    public void addSCodeEditIncludesPrivilege(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level, String index) {
        gimmeIndexedParamForKey("EditIncludesPrivilege").addSCode(scode, args, level, index);
    }
    
    /**
      * @deprecated use addScodeEditIncludesPrivilege(scode, args, null, index)
      */
    @Deprecated
    public void addSCodeWithArgsEditIncludesPrivilege(de.schlund.util.statuscodes.StatusCode scode, String[] args, String index) {
        gimmeIndexedParamForKey("EditIncludesPrivilege").addSCode(scode, args, null, index);
    }
        
    // EditImagesPrivilege
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getEditImagesPrivilege(String index) {
        return (java.lang.Boolean) gimmeIndexedParamForKey("EditImagesPrivilege").getParamForIndex(index).getValue();
    }

    public java.lang.String[] getKeysEditImagesPrivilege() {
        return gimmeIndexedParamForKey("EditImagesPrivilege").getKeys();
    }
          
    public void setStringValEditImagesPrivilege(String v, String index) {
        gimmeIndexedParamForKey("EditImagesPrivilege").getParamForIndex(index).
          setStringValue(new String[] {v});
    }

    public void setEditImagesPrivilege(java.lang.Boolean v, String index) {
        gimmeIndexedParamForKey("EditImagesPrivilege").getParamForIndex(index).
          setStringValue(new java.lang.Boolean[] {v});
    }

    public void addSCodeEditImagesPrivilege(de.schlund.util.statuscodes.StatusCode scode, String index) {
        gimmeIndexedParamForKey("EditImagesPrivilege").addSCode(scode, null, null, index);
    }

    public void addSCodeEditImagesPrivilege(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level, String index) {
        gimmeIndexedParamForKey("EditImagesPrivilege").addSCode(scode, args, level, index);
    }
    
    /**
      * @deprecated use addScodeEditImagesPrivilege(scode, args, null, index)
      */
    @Deprecated
    public void addSCodeWithArgsEditImagesPrivilege(de.schlund.util.statuscodes.StatusCode scode, String[] args, String index) {
        gimmeIndexedParamForKey("EditImagesPrivilege").addSCode(scode, args, null, index);
    }
        
}
  